/*******************************************************************************
 * FoxWeaponAttachment_DigiDefense generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_DigiDefense extends FoxWeaponAttachment_LauncherBase
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

simulated event Vector GetMuzzleLoc()
{
    local Vector Loc;

    Instigator.Mesh.GetSocketWorldLocationAndRotation(class'FoxWeapon_DigiDefense'.default.LaunchSocketName, Loc);
    return Loc;
    //return ReturnValue;    
}

protected simulated event AttachMuzzleEffectsComponents(SkeletalMeshComponent SkelMesh)
{
    // End:0x90
    if((((WorldInfo.NetMode == NM_DedicatedServer) || class'FoxWeapon_DigiDefense'.default.LaunchSocketName == 'None') || Instigator == none) || Instigator.Mesh == none)
    {
        return;
    }
    // End:0x13F
    if((MuzFlashEmitter != none) && !Instigator.Mesh.IsComponentAttached(MuzFlashEmitter))
    {
        Instigator.Mesh.AttachComponentToSocket(MuzFlashEmitter, class'FoxWeapon_DigiDefense'.default.LaunchSocketName);
    }
    // End:0x1EE
    if((MuzFlashBreakEmitter != none) && !Instigator.Mesh.IsComponentAttached(MuzFlashBreakEmitter))
    {
        Instigator.Mesh.AttachComponentToSocket(MuzFlashBreakEmitter, class'FoxWeapon_DigiDefense'.default.LaunchSocketName);
    }
    HideMuzzleFlashEmitter();
    // End:0x2CF
    if((MuzzleFlashLight != none) && !Instigator.Mesh.IsComponentAttached(MuzzleFlashLight))
    {
        MuzzleFlashLight.SetTranslation(MuzzleLightOffsetFromCannon);
        Instigator.Mesh.AttachComponentToSocket(MuzzleFlashLight, class'FoxWeapon_DigiDefense'.default.LaunchSocketName);
    }
    // End:0x3A6
    if((MuzzleLensFlare != none) && !Instigator.Mesh.IsComponentAttached(MuzzleLensFlare))
    {
        MuzzleLensFlare.SetTranslation(MuzzleLightOffsetFromCannon);
        Instigator.Mesh.AttachComponentToSocket(MuzzleLensFlare, class'FoxWeapon_DigiDefense'.default.LaunchSocketName);
    }
    //return;    
}

simulated function StartFiringSound(const byte FireModeNum)
{
    // End:0x48
    if((Instigator == none) || !Instigator.IsLocallyControlled())
    {
        super(FoxWeaponAttachment).StartFiringSound(FireModeNum);
    }
    //return;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_DigiDefense.AttachmentMesh'
    Mesh=AttachmentMesh
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_DigiDefense.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.46925260
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_DigiDefense.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_DigiDefense.AttachmentMesh'
    Components(0)=AttachmentMesh
}